{% extends "base.html" %}
{% set survey = object.survey %}

{% block page_id %}{{super()}}surveyform{% endblock %}

{% block extra_js %}
    <script>
        riot.mount('questions');
    </script>
{% endblock %}

{% block container %}
<h1>{{ survey.title }}</h1>

{{ _("survey.%s.introduction" % survey.title)|markdown }}


<form method="post" action=".">
    {% if form.errors %}
    <div class="form-errors">
        <h4>{{ _("form.errors") }}</h4>
        <ul class="form-errors">
            {% for error in form.errors.__all__ %}
            <li>{{ _(error) }}</li>
            {% endfor %}
        </ul>
    </div>
    {% endif %}
    {{ csrf() }}
    {% for hidden in form.hidden_fields() %}
        {{ hidden|safe }}
    {% endfor %}
    <questions index="{{ form.instance.missing_questions[0].position + 1 }}" total="{{ len(form.fields) }}">
        <ol>
        {% for field in form.visible_fields() %}
            <li>
                <h4>{{ _(field.label) }}</h4>
                {{ field|safe }}
            </li>
        {% endfor %}
        </ol>
        <button>{{ _("survey.form.next") }}</button>
    </questions>

    <button type="submit" class="action-button" meta-pause-label=" {{ _("survey.form.pause.label") }}">{{ _("survey.form.submit") }}</button>
    <div class="clearfix"></div>
</form>
{% endblock %}
